Bug 177829 - no k3bSetup menu item so unable to correct cdrdao error
no k3bSetup menu item so unable to correct cdrdao error
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-14 21:10 EST by formman
Modified: 2008-03-09 23:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 23:01:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description formman 2006-01-14 21:10:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Hi.  I'm using FC4 with KDE 3.5 from the standard repos, and I'm having a problem with k3b.  I first posted it to the KDE bugzilla.  The details are included in my post to KDE and the reply from rdieter:

"Hi.  I'm using KDE 3.5 on FC4.  K3b seems to start without problems, but when I ran the system check it said that cdrdao was not running with root privilages and to run K3bSetup [sic] to allow it to run as root.  I have checked all of the menu headings (eg File, Tools, Settings) but I cannot find K3b Setup.  I tried clicking K3b configuration, but Setup wasn't located in there.  In the K3b help file it says that Setup should be under settings, but it isn't there.  I tried k3b --help from the command line, hoping that I could run Setup from there, but no such luck.  How can I get it to run?"

rdieter's reply:

"Not a KDE bug.
Fedora Core's k3b packaging purposely disables/omits k3bsetup.  If you don't like that, report it to redhat: bugzilla.redhat.com.
And, FYI, it should run (mostly) fine with a non-setuid cdrdao."

Is it ok for cdrdao to run non-setuid?  If not, how do I enable it?

Version-Release number of selected component (if applicable):
 KDE 3.5.0-0.2.fc4   k3b-0.12.10-0.fc4.1

How reproducible:
Always

Steps to Reproduce:
1.Open k3b
2.Select system check
3.error message reports cdrdao not running as root and to correct via k3bSetup

  

Actual Results:  no k3bSetup menu item

Expected Results:  Apparently, there should have been a k3bSetup menu item under Settings

Additional info:
Comment 1 Harald Hoyer 2006-05-31 09:24:45 EDT
Is should run non-setuid. If it does not work, this is a bug.
Comment 2 Christian Iseli 2007-01-22 05:37:34 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 petrosyan 2008-03-09 23:01:43 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.